Jump to content
Калькуляторы

Firefox 52 и Java

Как известно с 52 версии отключили NPAPI, т.е. java перестала работать. А для редко используемого, но всё равно нужного управления сервером через ipmi она очень нужна. Пока что решил проблему поставив firefox 52 esr. Но в 2018 отключат и там. И как-то кривовато счас браузер работает.

Есть идеи как решить вопрос?

Share this post


Link to post
Share on other sites

В случае HP серверов я просто скачиваю ява-апплет к cебе на станцию и далее java -jar...

Share this post


Link to post
Share on other sites

Все так же работает как и работало. С каким оборудованием проблемы?

Share this post


Link to post
Share on other sites

Не с оборудованием проблемы, а с тем, что java отключена в лисе c 52 версии. В IE и хроме тоже. Не пробовал только оперу.

Серверы у меня все Supermicro.

Share this post


Link to post
Share on other sites

Не с оборудованием проблемы, а с тем, что java отключена в лисе c 52 версии. В IE и хроме тоже. Не пробовал только оперу.

Серверы у меня все Supermicro.

У supermicro есть отдельный клиент (java естественно).

Share this post


Link to post
Share on other sites

У supermicro есть отдельный клиент (java естественно).

Про IPMIView я в курсе. При нажатии на "Launch KVM Console" задумывается на пару секунд и ничего не происходит.

 

Попробую разобраться

Share this post


Link to post
Share on other sites

а это скорее всего IPMI висит...

Share this post


Link to post
Share on other sites

Про IPMIView я в курсе. При нажатии на "Launch KVM Console" задумывается на пару секунд и ничего не происходит.

Обновление ПО на IPMI решает.

Share this post


Link to post
Share on other sites

Как известно с 52 версии отключили NPAPI, т.е. java перестала работать. А для редко используемого, но всё равно нужного управления сервером через ipmi она очень нужна. Пока что решил проблему поставив firefox 52 esr. Но в 2018 отключат и там. И как-то кривовато счас браузер работает.

Есть идеи как решить вопрос?

Выключаете в FF автообновление, рядом устанавливаете Firefox 45 x32, удаляете 8 яву, устанавливаете jre-7u79-windows-x64 и jre-7u79-windows-i586 и все работает

Share this post


Link to post
Share on other sites

Про IPMIView я в курсе. При нажатии на "Launch KVM Console" задумывается на пару секунд и ничего не происходит.

 

А вы не забыли в разрешенных серверах а яве добавить IP ваших устройств? У меня в последних версиях все запускается без проблем, только вылезает окно с подтверждением, что действительно хотите запустить это приложение.

Кроме всего нужно разрешить всплывающие окна на этом IP.

Share this post


Link to post
Share on other sites

Не с оборудованием проблемы, а с тем, что java отключена в лисе c 52 версии.

У меня 52.0.1 и я не заметил каких-то изменений.

Share this post


Link to post
Share on other sites

Наступили в это дерьмо и мы - отвалились плагины Криптопро.

Виноватыми оказались всё:

1) Системные администраторы. Они виноваты по определению.

2) Разработчики Firefox - почему заблаговременно не было уведомлений, прям таких серьезных, на весь экран с обратным таймером закрытия? Всем слать уведомления не надо, только активным пользователям расширешний NPAPI (за исключением стандартных flash, кодеков и т.п).

3) Разработчики КриптоПро - почему не было оповещения со стороны их плагина?

Share this post


Link to post
Share on other sites

Выключаете в FF автообновление, рядом устанавливаете Firefox 45 x32, удаляете 8 яву, устанавливаете jre-7u79-windows-x64 и jre-7u79-windows-i586 и все работает

Ява 7 стоит. Понятно, что лису можно старую поставить, хотелось бы всегда свежую иметь.

А вы не забыли в разрешенных серверах а яве добавить IP ваших устройств? У меня в последних версиях все запускается без проблем, только вылезает окно с подтверждением, что действительно хотите запустить это приложение.

Кроме всего нужно разрешить всплывающие окна на этом IP.

Это где Exception site list? А какой протокол указать?

У меня 52.0.1 и я не заметил каких-то изменений.

Значит версия ESR стоит.

Share this post


Link to post
Share on other sites

SyJet

https://support.mozilla.org/t5/%D0%A3%D1%81%D1%82%D1%80%D0%B0%D0%BD%D0%B5%D0%BD%D0%B8%D0%B5-%D0%BF%D1%80%D0%BE%D0%B1%D0%BB%D0%B5%D0%BC/%D0%9F%D0%BE%D1%87%D0%B5%D0%BC%D1%83-Java-

Silverlight-Adobe-Acrobat-%D0%B8-%D0%B4%D1%80%D1%83%D0%B3%D0%B8%D0%B5-%D0%BF%D0%BB%D0%B0%D0%B3%D0%B8%D0%BD%D1%8B-%D0%B1%D0%BE%D0%BB%D1%8C%D1%88%D0%B5-%D0%BD%D0%B5/ta-p/33171

"В случае, если вы ещё не готовы к этому переходу, Firefox ESR (Extended Support Release) версии 52 сохранит поддержку данных плагинов до начала 2018 включительно."

Share this post


Link to post
Share on other sites

Это где Exception site list? А какой протокол указать?

 

Такой, по которому открывается вебка. Она или по http или по https - это и указывать. Только IP без последующих страниц.

Share this post


Link to post
Share on other sites

Значит версия ESR стоит.

Блин, ну нет конечно. Как можно иметь такую версию и не знать об этом?

Проверил iDRAC8, iLO4, Supermicro X9, Intel RMM4 - все консоли работают.

Share this post


Link to post
Share on other sites

IPMIView так и не удалось победить.

Пока что решил поставить лису 47, ghostery сразу отвалился из-за несовместимости.

Share this post


Link to post
Share on other sites

IPMIView так и не удалось победить.

Пока что решил поставить лису 47, ghostery сразу отвалился из-за несовместимости.

Если вы фанат лисы, тогда можете посмотреть в сторону Opera, возьмите старую версию в которой поддерживается npapi. В таком случае и лиса будет всегда актуальная и инструмент с поддержкой npapi будет

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this